%define upstream_name    SQL-Maker
%define upstream_version 1.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Insert multiple rows at once on MySQL
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SQL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Lite) >= 0.50.0
BuildRequires: perl(DBI)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Module::Load)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Tie::IxHash)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
SQL::Maker is yet another SQL builder class. It is based on the
DBIx::Skinny manpage's SQL generator.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Thu Feb 23 2012 kharec <kharec> 1.50.0-1.mga2
+ Revision: 212586
- update to 1.05

* Thu Feb 23 2012 kharec <kharec> 1.40.0-1.mga2
+ Revision: 212554
- imported package perl-SQL-Maker


* Thu Feb 23 2012 cpan2dist 1.04-1mga
- initial mageia release, generated with cpan2dist
